Building dell_rbu module
by Major Hayden
Hey folks,
I've rebuilt quite a few Fedora kernels to enable the dell_rbu module for firmware updates on various Dell servers, workstations, and laptops that are running Fedora 21 and 22. Would it be possible to have it enabled in the normal kernel builds?
I found a bugzilla ticket[1] referenced in the kernel config[2] that points to some installation issues in Fedora 20. I can't tell if the bug was within dell_rbu or perhaps in systemd-udevd from the ticket. However, I've had success loading the module on various Dell equipment over the last 18 months or so.
If we enable it, could we ensure that it's not enabled by default? I wondered if a kernel subpackage would be helpful but that seems a bit like overkill.
Thanks!
[1] https://bugzilla.redhat.com/show_bug.cgi?id=997149
[2] http://pkgs.fedoraproject.org/cgit/kernel.git/tree/config-x86-generic?h=f22
--
Major Hayden
7 years, 8 months
kdbus module being removed from Rawhide
by Josh Boyer
Hi All,
We will be removing the kdbus driver from Rawhide kernels before the
4.3 final release upstream. Realistically, this means kdbus will be
gone from Fedora by Monday November 2nd at the latest. If you have a
setup using kdbus, please adjust it accordingly.
The upstream developers asked me to remove the module from Fedora
while they rethink some of the approach they are taking with kdbus.
josh
7 years, 10 months
kernel-tests master: Add test to validate secureboot signer (e9df946)
by Justin Forbes
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit e9df94673a8558de46a4ee5cd54e413766840c71
Author: Justin M. Forbes <jforbes(a)redhat.com>
Date: Wed Oct 28 11:06:55 2015 -0500
Add test to validate secureboot signer
>---------------------------------------------------------------
config.example | 3 ++
runtests.sh | 44 +++++++++++++++++-------------
secureboot/check_SB_signature/runtest.sh | 22 +++++++++++++++
3 files changed, 50 insertions(+), 19 deletions(-)
diff --git a/config.example b/config.example
index 370ae5e..0ed8c40 100644
--- a/config.example
+++ b/config.example
@@ -7,6 +7,9 @@ submit=none
# submit=anonymous
# submit=authenticated
+# Check Signature for Secure Boot
+# checksig=y
+# validsig="Fedora Secure Boot Signer"
# FAS User credentials.
# Storing your FAS password here is technically possible, but not advisable
diff --git a/runtests.sh b/runtests.sh
index 2a22401..abf1571 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -85,6 +85,10 @@ performance)
exit 1
esac
+# Test Secure Boot?
+if [ "$checksig" == "y" ]; then
+ dirlist="secureboot $dirlist"
+fi
#Basic logfile headers
echo "Date: $(date)" > $logfile
@@ -111,27 +115,29 @@ do
if [ "$testset" == "performance" ]; then
./runtest.sh >>$logfile
+ elif [ "$dir" == "secureboot" ]; then
+ ./runtest.sh "$validsig" &>>$logfile
else
./runtest.sh &>>$logfile
- complete=$?
- case $complete in
- 0)
- result=PASS
- ;;
- 3)
- result=SKIP
- ;;
- *)
- result=FAIL
- esac
- printf "%-65s%-8s\n" "$testname" "$result"
- if [ "$result" == "FAIL" ]; then
- cleanrun=FAIL
- if [ "$failedtests" == "None" ]; then
- failedtests="$testname"
- else
- failedtests="$failedtests $testname"
- fi
+ fi
+ complete=$?
+ case $complete in
+ 0)
+ result=PASS
+ ;;
+ 3)
+ result=SKIP
+ ;;
+ *)
+ result=FAIL
+ esac
+ printf "%-65s%-8s\n" "$testname" "$result"
+ if [ "$result" == "FAIL" ]; then
+ cleanrun=FAIL
+ if [ "$failedtests" == "None" ]; then
+ failedtests="$testname"
+ else
+ failedtests="$failedtests $testname"
fi
fi
popd &>/dev/null
diff --git a/secureboot/check_SB_signature/runtest.sh b/secureboot/check_SB_signature/runtest.sh
new file mode 100755
index 0000000..10eceb9
--- /dev/null
+++ b/secureboot/check_SB_signature/runtest.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# Licensed under the terms of the GNU GPL License version 2
+
+# Check the Secure Boot Signer
+
+# Make sure pesign is available
+if [ ! -f /usr/bin/pesign ]; then
+ echo "pesign is required to check the secure boot signature"
+ exit 3
+fi
+
+validsig=$1
+echo "Looking for Signature $validsig"
+kver=$(uname -r)
+signer=$(/usr/bin/pesign -i /boot/vmlinuz-$kver -S | grep "common name")
+echo $signer
+if [ "$signer" == "The signer's common name is $validsig" ]; then
+ exit 0
+else
+ exit -1
+fi
7 years, 11 months
NumaChip APIC support
by Daniel J Blueman
Hi Fedora kernel team,
What possibility is there of enabling CONFIG_X86_NUMACHIP in the
Fedora kernel, given it's been enabled in the CentOS Plus and Ubuntu
kernels for a few years now?
This will allow booting Fedora on large-SMP NumaConnect systems and
make Fedora a useful choice.
Many thanks!
Daniel
--
Daniel J Blueman
7 years, 11 months